Subject: Re: [PATCH v4] net/hsr: Add support for the High-availability Seamless Redundancy protocol (HSRv0)

From: Arvid Brodin <[email-masked]>
Date: Sat, 21 Sep 2013 03:03:51 +0200

On 2013-09-21 02:43, Arvid Brodin wrote:
> It's weird though, the "len" bug doesn't show up in my practical tests - 
> scp of 16 MiB file (sha1sum compared afterwards) and ping with default 
> and 65 KB packets work just fine before and after this change - even
> between one fixed system and one with the bug remaining. Could it be
> that none of the network device drivers we use (e1000e and macb) make 
> use of nonlinear skbs?

Forget about this, e1000e is running on an architecture with 
HAVE_EFFICIENT_UNALIGNED_ACCESS, and on macb it does affect things - 
with the "fix" nothing works. :-| 

-- 
Arvid Brodin | Consultant (Linux)
XDIN AB | Knarrarnäsgatan 7 | SE-164 40 Kista | Sweden | xdin.com